org.eclipse.net4j.signal.security

## Class AuthenticationIndication

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor
    - - org.eclipse.net4j.signal.IndicationWithResponse
      - - org.eclipse.net4j.signal.IndicationWithMonitoring
        - - org.eclipse.net4j.signal.security.AuthenticationIndication

- All Implemented Interfaces:
    Runnable

      public class AuthenticationIndication
      extends IndicationWithMonitoring

  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol, Enum<?> literal)`
    `AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol, short signalID)`
    `AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol, short id, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DiffieHellman.Server.Challenge` | `getChallenge()`
    `protected IPasswordCredentialsProvider` | `getCredentialsProvider()`
    `protected int` | `getIndicatingWorkPercent()`
    `AuthenticatingSignalProtocol<?>` | `getProtocol()`
    `protected void` | `indicating(ExtendedDataInputStream in, OMMonitor monitor)`
    `protected void` | `responding(ExtendedDataOutputStream out, OMMonitor monitor)`

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithMonitoring

      `execute, getMonitoringExecutorService, indicating, responding`

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithResponse

      `closeChannelAfterException, getExceptionMessage`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationIndication

          public AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol,
                                          short id,
                                          String name)

    - #### AuthenticationIndication

          public AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol,
                                          short signalID)

    - #### AuthenticationIndication

          public AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol,
                                          Enum<?> literal)

  - ### Method Detail

    - #### getProtocol

          public AuthenticatingSignalProtocol<?> getProtocol()

      Overrides:
        `getProtocol` in class `Signal`

    - #### getIndicatingWorkPercent

          protected int getIndicatingWorkPercent()

      Overrides:
        `getIndicatingWorkPercent` in class `IndicationWithMonitoring`

    - #### indicating

          protected void indicating(ExtendedDataInputStream in,
                                    OMMonitor monitor)
                             throws Exception

      Specified by:
        `indicating` in class `IndicationWithMonitoring`
      Throws:
        `Exception`

    - #### getChallenge

          protected final DiffieHellman.Server.Challenge getChallenge()

    - #### responding

          protected void responding(ExtendedDataOutputStream out,
                                    OMMonitor monitor)
                             throws Exception

      Specified by:
        `responding` in class `IndicationWithMonitoring`
      Throws:
        `Exception`

    - #### getCredentialsProvider

          protected IPasswordCredentialsProvider getCredentialsProvider()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html